Changes between Version 11 and Version 12 of OpenSSL-1


Ignore:
Timestamp:
12/03/2007 12:55:49 AM (14 years ago)
Author:
Maxim Levitsky
Comment:

--

Legend:

Unmodified
Added
Removed
Modified
  • OpenSSL-1

    v11 v12  
    11= OpenSSL =
     2
     3== GCC 4.2 ==
     4GCC 4.2 doesn't compile OpenSSL 0.9.8e and below.
     5The compilation works, but compiler inserts lots of #UD2
     6assembler instructions to code it believes to be wrong.
     7This causes the tests, and users of this library to fail with
     8SIGILL.
     9
     10The compiler shows lots warnings like this:[[BR]]
     11
     12pem_xaux.c: In function 'PEM_read_bio_X509_AUX':[[BR]]
     13pem_xaux.c:68: warning: function called through a non-compatible type[[BR]]
     14pem_xaux.c:68: note: if this code is reached, the program will abort[[BR]]
     15pem_xaux.c: In function 'PEM_read_X509_AUX':[[BR]]
     16pem_xaux.c:68: warning: function called through a non-compatible type[[BR]]
     17pem_xaux.c:68: note: if this code is reached, the program will abort[[BR]]
     18
     19The solution is to update to 0.9.8f or above.
     20
    221
    322== Multilib Instructions ==
     
    115134[wiki:Security Up][[br]]
    116135[wiki:BlfsNotes Top]
     136